#!/bin/bash
# update.sh: updates webstats for a single site

# Author: Maurizio Pinotti <maurizio@pinottinet.com>
# Date: March 2006
# Updated: May 2006

# $1 must be Analog's home
# $1 must be the site name without extension
# Notice that <name>.cfg must exists in ./conf/
 
cd $1
site=./conf/$2.cfg
#echo DEBUG[A] `pwd`
if [ -r $site ]
then
	echo "Updating webstats for site '$1'..."
	./analog +g$site
	exit 0
else
	echo "Script usage: $0 CONF_FILE"
	echo "Eg. $0 sap (./conf/sap.cfg MUST exists)"
	exit 1
fi

